Subject: [alpine-user] Changing MAX_UID for adduser

From: Byte Flinger <[email-masked]>
Date: Mon, 23 May 2016 08:47:39 +0000

Hi

I am trying to add a user in alpine linux however it seems there is a limit
somewhere of uid 60000.

This is what happens when I try to run the command

/ # adduser -u 66666 tst
adduser: number 66666 is not in 0..60000 range

Is there a way to configure Alpine to allow for a bigger range? If not I
would be interested in compiling Alpine myself but have had a lot of
difficult finding information on where to get started and how to go about
compiling alpine (With the end goal of using it as a docker image).

Regards
ByteFlinger